Name: sweets-rasqal
Version: 0.9.29
Epoch: 1
Release: 3.33
Group: Development/Tools/Other
Summary: Library that handles Resource Description Framework (RDF)"
License: ASL 2.0; GPLv2; LGPLv2
Url: http://librdf.org/rasqal/

Source: rasqal-0.9.29.tar.gz
Source1: sweet.tar.gz



Requires: libxml2
Requires: mpfr
Requires: sweets-raptor
BuildRequires: flex
BuildRequires: gcc
BuildRequires: libxml2-devel
BuildRequires: make
BuildRequires: mpfr-devel
BuildRequires: pkgconfig
BuildRequires: sweets-raptor
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
Library that handles Resource Description Framework (RDF)"

%prep
%setup -n rasqal-0.9.29

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
test -e /opt/sweets/raptor/binding && . /opt/sweets/raptor/binding; ./configure --disable-static --enable-xml2 --prefix=/opt/sweets/rasqal CFLAGS="${CFLAGS}"
test -e /opt/sweets/raptor/binding && . /opt/sweets/raptor/binding; make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

test -e /opt/sweets/raptor/binding && . /opt/sweets/raptor/binding; make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/rasqal '' '' > sweets-rasqal.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/rasqal/sweets.recipe >> sweets-rasqal.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/rasqal '' '' >> sweets-rasqal.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/rasqal
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/rasqal/pydirs)
echo /opt/sweets/rasqal/pydirs >> sweets-rasqal.files

%post
test -e /opt/sweets/rasqal/pydirs && for i in `cat /opt/sweets/rasqal/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/rasqal/pydirs && for i in `cat /opt/sweets/rasqal/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-rasqal.files

%changelog
